package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.TbCfItemDetail;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Optional;

public interface TbCfItemDetailRepository extends PagingAndSortingRepository<TbCfItemDetail,String> {
    Optional<TbCfItemDetail> findFirstByItemImgAndItemSku(String itemImg, String itemSku);
    Optional<TbCfItemDetail> findFirstBySourceItemIdAndItemSku(String itemImg, String itemSku);
}
